<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{AF54E106-216E-426F-8CC9-6A69558C11C8}</ProjectGuid>
    <RootNamespace>TDSSample2</RootNamespace>
    <Keyword>MFCProj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <UseOfMfc>Static</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v120</PlatformToolset>
    <UseOfMfc>Static</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>12.0.21005.1</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>obj\x86\$(Configuration)\</OutDir>
    <IntDir>$(OutDir)</IntDir>
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>obj\x86\$(Configuration)\</OutDir>
    <IntDir>$(OutDir)</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <BuildLog>
      <Path>$(OutDir)BuildLog.htm</Path>
    </BuildLog>
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>false</ValidateAllParameters>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <AdditionalOptions>/FS %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0411</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>TDS.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>bin;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <ManifestFile>$(OutDir)$(TargetFileName).intermediate.manifest</ManifestFile>
      <IgnoreSpecificDefaultLibraries>libcmt;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <Manifest>
      <OutputManifestFile>$(OutDir)$(TargetFileName).embed.manifest</OutputManifestFile>
    </Manifest>
    <ManifestResourceCompile>
      <ResourceOutputFileName>$(OutDir)$(TargetFileName).embed.manifest.res</ResourceOutputFileName>
    </ManifestResourceCompile>
    <PostBuildEvent>
      <Command>copy $(TargetPath) bin
</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist resource.h copy ..\Sample2_2010_64\resource.h .\
if not exist stdafx.h copy ..\Sample2_2010_64\stdafx.h .\
if not exist stdafx.cpp copy ..\Sample2_2010_64\stdafx.cpp .\
if not exist EditList.h copy ..\Sample2_2010_64\EditList.h .\
if not exist EditList.cpp copy ..\Sample2_2010_64\EditList.cpp .\
if not exist TDSSample2.rc copy ..\Sample2_2010_64\TDSsample2.rc .\
if not exist TDSSample2.h copy ..\Sample2_2010_64\TDSsample2.h .\
if not exist TDSSample2.cpp copy ..\Sample2_2010_64\TDSsample2.cpp .\
if not exist TDSSample2Dlg.h copy ..\Sample2_2010_64\TDSsample2Dlg.h .\
if not exist TDSSample2Dlg.cpp copy ..\Sample2_2010_64\TDSsample2Dlg.cpp .\
if not exist TDSSample2Proc.h copy ..\Sample2_2010_64\TDSsample2Proc.h .\
if not exist TDSSample2Proc.cpp copy ..\Sample2_2010_64\TDSsample2Proc.cpp .\
if not exist res mkdir res
if not exist res\TDSSample2.ico copy ..\Sample2_2010_64\res\TDSSample2.ico res\
if not exist res\TDSSample2.rc2 copy ..\Sample2_2010_64\res\TDSSample2.rc2 res\
if not exist bin mkdir bin
if not exist bin\TDS.dll copy ..\Win32\TDS.dll bin\
if not exist bin\TDS.lib copy ..\Win32\TDS.lib bin\
if not exist bin\Sample.ini copy ..\Sample0_Makefile\Sample.ini bin\
if not exist bin\Sample.sml copy ..\Sample0_Makefile\Sample.sml bin\
</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <BuildLog>
      <Path>$(OutDir)BuildLog.htm</Path>
    </BuildLog>
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>false</ValidateAllParameters>
    </Midl>
    <ClCompile>
      <AdditionalIncludeDirectories>..;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <MinimalRebuild>false</MinimalRebuild>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <AdditionalOptions>/FS %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0411</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>TDS.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>bin;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <ManifestFile>$(OutDir)$(TargetFileName).intermediate.manifest</ManifestFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <Manifest>
      <OutputManifestFile>$(OutDir)$(TargetFileName).embed.manifest</OutputManifestFile>
    </Manifest>
    <ManifestResourceCompile>
      <ResourceOutputFileName>$(OutDir)$(TargetFileName).embed.manifest.res</ResourceOutputFileName>
    </ManifestResourceCompile>
    <PostBuildEvent>
      <Command>copy $(TargetPath) bin
</Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>if not exist resource.h copy ..\Sample2_2010_64\resource.h .\
if not exist stdafx.h copy ..\Sample2_2010_64\stdafx.h .\
if not exist stdafx.cpp copy ..\Sample2_2010_64\stdafx.cpp .\
if not exist EditList.h copy ..\Sample2_2010_64\EditList.h .\
if not exist EditList.cpp copy ..\Sample2_2010_64\EditList.cpp .\
if not exist TDSSample2.rc copy ..\Sample2_2010_64\TDSsample2.rc .\
if not exist TDSSample2.h copy ..\Sample2_2010_64\TDSsample2.h .\
if not exist TDSSample2.cpp copy ..\Sample2_2010_64\TDSsample2.cpp .\
if not exist TDSSample2Dlg.h copy ..\Sample2_2010_64\TDSsample2Dlg.h .\
if not exist TDSSample2Dlg.cpp copy ..\Sample2_2010_64\TDSsample2Dlg.cpp .\
if not exist TDSSample2Proc.h copy ..\Sample2_2010_64\TDSsample2Proc.h .\
if not exist TDSSample2Proc.cpp copy ..\Sample2_2010_64\TDSsample2Proc.cpp .\
if not exist res mkdir res
if not exist res\TDSSample2.ico copy ..\Sample2_2010_64\res\TDSSample2.ico res\
if not exist res\TDSSample2.rc2 copy ..\Sample2_2010_64\res\TDSSample2.rc2 res\
if not exist bin mkdir bin
if not exist bin\TDS.dll copy ..\Win32\TDS.dll bin\
if not exist bin\TDS.lib copy ..\Win32\TDS.lib bin\
if not exist bin\Sample.ini copy ..\Sample0_Makefile\Sample.ini bin\
if not exist bin\Sample.sml copy ..\Sample0_Makefile\Sample.sml bin\
</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="EditList.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="TDSSample2.cpp" />
    <ClCompile Include="TDSSample2Dlg.cpp" />
    <ClCompile Include="TDSSample2Proc.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="EditList.h" />
    <ClInclude Include="Resource.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="TDSSample2.h" />
    <ClInclude Include="TDSSample2Dlg.h" />
    <ClInclude Include="TDSSample2Proc.h" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="res\TDSSample2.ico" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="TDSSample2.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="res\TDSSample2.rc2" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties RESOURCE_FILE="TDSSample2.rc" />
    </VisualStudio>
  </ProjectExtensions>
</Project>